
Figure - 开发 Dev #110745
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110126 (New): 【MK】【AF】管理总票

【MK】【APP】【recent】【TC-RID: 1201-0205302】
2022-07-25 20:07 - CD FW-王伟

Status: 进行中 In Progress Start date: 2022-07-25

Priority: Normal Due date: 2022-12-12

Assignee: CD APP-王宏 % Done: 60%

Category: Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Description

■需求列表:

Recent相关定制：

后台任务列表

任务选择

任务删除

任务栏Dock栏显示

小窗模式入口

■Recent和小窗交互需求更新:

前提条件:

处于Recent界面中

具体需求:

1.点击小窗卡片退出Recent时,需要调用startActivityFromRecents把小窗重新拉起

2.点击其他非卡片时,需要判断小窗Task是否存在,如果存在,调用startActivityFromRecents把小窗重新拉起

3.点击Recent空白区域退出Recent时,需要判断小窗Task是否存在,如果存在,调用startActivityFromRecents把小窗重新拉起

4.点击侧边栏启动其他应用时,不管小窗Task是否存在,都不需要调用startActivityFromRecents把小窗重新拉起

5.在Recent里面,下来通知栏,点击其他应用退出recent时,不管小窗Task是否存在,都不需要调用startActivityFromRecents把小窗重新拉起

■提出URL：必填

■自测case：必填

■注意点：需要测试注意的前提条件

Related issues:

Related to Figure - 需求 Requirement # 111003: 【Locked需求】La... 分析&分解中 In Analysis2022-08-03 2022-09-30

History

#1 - 2022-08-02 09:30 - CD FW-王伟

- Due date set to 2022-08-10

#2 - 2022-08-02 09:30 - CD FW-王伟

- Assignee set to CD AF-刘浩

#3 - 2022-08-04 19:47 - CD FW-王伟

- Subject changed from 【MK】【053】【recent】【TC-RID: 0301-0205302】 to 【MK】【053】【recent】【TC-RID: 1201-0205302】

#4 - 2022-09-08 08:34 - CD FW-王伟

- Subject changed from 【MK】【053】【recent】【TC-RID: 1201-0205302】 to 【MK】【APP】【recent】【TC-RID: 1201-0205302】

#5 - 2022-09-08 08:38 - CD FW-王伟
- Assignee changed from CD AF-刘浩 to CD- App-李朝鹏

#6 - 2022-09-26 19:51 - CD FW-王伟

- Target version set to VX1_MCE_FSE_V3.0_20221030

#7 - 2022-11-22 14:33 - CD APP-王营

- Due date changed from 2022-08-10 to 2022-12-12

- Status changed from New to 进行中 In Progress

- Assignee changed from CD- App-李朝鹏 to AF组-RD3_CDTS 罗肖

- Target version changed from VX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V5.0_20221230

- % Done changed from 0 to 60

#8 - 2022-12-05 21:59 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

167158 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xiao.luo@thundersoft.com

CommitMessage FW: Launcher: The small window interacts with four Tasks

#9 - 2022-12-08 10:03 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

168172 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xiao.luo@thundersoft.com

FW: Launcher: The problem with the desktop kill window1.After the problem of the desktop kill window, the empty background cannot be triggered after the

process is killed in RecentTC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id: I7eb2413fbe8170005f8999675b06d730fb14f19a

#10 - 2022-12-08 21:37 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

168594 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xiao.luo@thundersoft.com

FW: Launcher: Fix the problem of clicking small windows on the desktop1.Fix the problem of clicking small windows on the desktopTC-RID:

1201-0205302IssueID: TS-R-DF-110745Change-Id: I199b4f91040644b9d082d46c680a3ac6aa8b2e19

#11 - 2022-12-08 21:37 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

168737 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xiao.luo@thundersoft.com
FW: Launcher: Replace ClearAllImageView background1.Replace ClearAllImageView backgroundTC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id:

I026e36f86779055b3191736dffd33b543a3c9e2b

#12 - 2022-12-12 09:29 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

169005 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xiao.luo@thundersoft.com

FW: Launcher: Modify MoreSmallWindowsContainer and recent1.Modify MoreSmallWindowsContainer background and recent marginTC-RID:

1201-0205302IssueID: TS-R-DF-110745Change-Id: I8c1106ee83d654aba0aa55ef276b033dd9a862b1

#13 - 2022-12-12 17:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

169559 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lids1211@thundersoft.com

FW:Launcher: Fix Activity leak1. AllAppInfoUtil will hold destroyed activity when activity rebuild.TC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id:

I655da4a246e8218ef16e7b0008743d70c27d5ce2

#14 - 2022-12-22 20:30 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

147938 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-launcher

chaopeng.li@thundersoft.com

FW:Launcher:Recents cumtomization1. Add clear all button to bottom of recents2. Shrink and center the task list3. Add small window listTC-RID:

1201-0205302IssueID: TS-R-DF-110745Change-Id: I2cb888d09ad933ee9f8db22e153d9b2114c1fdcb

#15 - 2022-12-22 20:32 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

148438 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com
FW:Launcher:Recents cumtomization1. Add clear all button to bottom of recents2. Shrink and center the task list3. Add small window listTC-RID:

1201-0205302IssueID: TS-R-DF-110745Change-Id: I2cb888d09ad933ee9f8db22e153d9b2114c1fdcb

#16 - 2022-12-22 20:33 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

149770 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

chaopeng.li@thundersoft.com

FW:Launcher:Recents small window and task cumtomization1. Add more small window2. Add click small window icon to open the appTC-RID:

1201-0205302IssueID: TS-R-DF-110745Change-Id: Ib93aeb61aa2a0b2ce568f1a47501765f617d0be3

#17 - 2022-12-22 20:33 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

149907 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangwei0629@thundersoft.com

FW:Launcher:Fix build error1. revert 922cfb3b3647fc74fef89cdfa1001492a41e2b642. revert df3609e7809dcb8edbc5bdfa5eeedd814c5fe5e43. revert

922cfb3b3647fc74fef89cdfa1001492a41e2b64TC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id: Ifafcff3cb02249e350dbbcdf15102ac2844f0d1a

#18 - 2022-12-22 20:33 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

149916 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangwei0629@thundersoft.com

FW:Launcher:Fix build error1. revert 922cfb3b3647fc74fef89cdfa1001492a41e2b642. revert df3609e7809dcb8edbc5bdfa5eeedd814c5fe5e43. revert

922cfb3b3647fc74fef89cdfa1001492a41e2b64TC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id: I18eceae3049b92023e248e6fc6e9b1e0eae80a27

#19 - 2022-12-22 20:34 - CD FW-王伟
Gerrit Merge Information：

ID Project Branch Uploader

150122 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

chaopeng.li@thundersoft.com

FW:Launcher:Recents small window and task cumtomization1. Add more small window2. Add click small window icon to open the appTC-RID:

1201-0205302IssueID: TS-R-DF-110745Change-Id: Ib23074a846beb7d664734e8ff8e5fa7680ef5e50

#20 - 2022-12-22 20:35 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

150432 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

chaopeng.li@thundersoft.com

FW:Launcher:Recents size adjustment1. Adjust recents according to the latest design drawings2. Modify recents related code according to coding

specificationsTC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id: Ifdcc9d21a2cebb1e0e6ea4eca5f6d3705d4b4c43

#21 - 2022-12-22 20:40 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

153012 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Add free-window-task in the recent task1.Add FreeWindowContainer to display last one free-window task.2.Modify the size of free-window task

view.TC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id: I386ff126bc3068143c2ca512c38be58f225dcf3c

#22 - 2022-12-22 20:40 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

153450 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

chaopeng.li@thundersoft.com
FW:Launcher:Recents task list Customized1. Change the task list to 2 lines2. Change the task list to be accessed from right to left3. Adjust the layout of recents

according to the latest ue4. Disable slide down to open task5. Reproduce the task icon6. Add a small window logo to the task and add an open small window

event7. Fix the problem that the task list cannot display all tasks after adding the small window areaTC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id:

I41fa4a1608f83f6d2ced73cad2525eb8a6b4e19f

#23 - 2022-12-22 20:40 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

153928 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Add Remove-Animation for free-window-task1.Add FreeWindowTaskTouchController to handle related operation interception.2.Add animation

operations in FreeWindowContainer.java.3.Modify the alignment of the small-window-module in the recent taskbar.TC-RID: 1201-0205302IssueID:

TS-R-DF-110745Change-Id: I9705c2486664bbc9f42a0888024c2b7981c48913

#24 - 2022-12-22 20:41 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154558 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Show hotseat in recent1. Show hotseat in recent.2. Disable some functions of hotseat and folder in recent.TC-RID: 1201-0205302IssueID:

TS-R-DF-110745Change-Id: I4b9aa2cba8a6efea71ba2348cda9c8d33ede5ea0

#25 - 2022-12-22 20:42 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154923 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Modify Enter Taskbar Close Free-Window1. Modify Enter the taskbar to close the small window, exit the taskbar to open the small window.2.

Modify the opening mode of the small window to avoid repeated tasks.TC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id:

I34fa722c332f7ab97b2cf02c570dfcadc0059421
#26 - 2022-12-22 20:42 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155087 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Fix free-window-task to remove recurring bugs1. Fix the bug restored by pressing and holding to remove the free window task and returning to the

main window.2. Fix the bug in the free window task interface.3.Modify the flag of the free window in the recent taskbar window.TC-RID: 1201-0205302IssueID:

TS-R-DF-110745Change-Id: Ibc2e6fbacab35d23366ccbbf76f920c5939b0413

#27 - 2022-12-22 20:42 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155090 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Relayout recent with HOTSEAT_DIR1. Relayout views in recent after changing HOTSEAT_DIR.TC-RID: 1201-0205302IssueID:

TS-R-DF-110745Change-Id: I47bf534c13739be36c28c560f935ea9460519392

#28 - 2022-12-22 20:42 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155128 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:Launcher: add launcher force stop packages permission1.add launcher force stop packages permissionTC-RID: 1201-0205302IssueID:

TS-R-DF-110745Change-Id: I85eff4a88863c4f8288e525e3b0dd937437571a9

#29 - 2022-12-22 20:43 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155243 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

chaopeng.li@thundersoft.com

FW:Launcher:Block home to recents animation1. Block home to recents animationTC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id:

Iea9002ba95bbd29948b3bdb9f9d4af51895a270a
#30 - 2022-12-22 20:43 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155514 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Fix the bug in the small window of the taskbar1. Modify the top alignment of free window task at 2560 resolution.2. When the desktop small window

is modified and not closed, it is abnormal to open the small window.3. Modify the problem that the space between the task list and the free-window-task in the

taskbar is insufficient.TC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id: I4b908be6ef2b080fac370298cc21ed38762659eb

#31 - 2022-12-22 20:44 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155951 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

chaopeng.li@thundersoft.com

FW:Launcher:Expand the sliding range of task deletion1. Increases the height of the task list2. Modify task list top and bottom row gridTranslationYTC-RID:

1201-0205302IssueID: TS-R-DF-110745Change-Id: I2bb723a3e0cd4ffdf928890bd2abb9ffd988985d

#32 - 2022-12-22 20:44 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

156338 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

chaopeng.li@thundersoft.com

FW:Launcher:Recents adapted 25601. Recents layout adapted to 2560 resolution screensTC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id:

I05f76acc2ce857c615f12e21c727a960754e55c0

#33 - 2022-12-22 20:48 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159563 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

chaopeng.li@thundersoft.com
FW:Launcher:perfect app to recents animation1. Modify task list gravity left to center2. Perfect the dynamic layout of recentsTC-RID: 1201-0205302IssueID:

TS-R-DF-110745Change-Id: I81a9d259f3b3d2e5e403dfc2b686f0455158b447

#34 - 2022-12-22 20:49 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159924 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lids1211@thundersoft.com

FW:Launcher: Adjust animation of remove free window card1. Adjust free window card position and size2. Adjust remove animation3. Encapsulate free window

method in FreeWindowHelperTC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id: I574aa57f4a757f5025a490d56f8e901810b373e7

#35 - 2022-12-22 20:49 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

160214 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

chaopeng.li@thundersoft.com

FW:Launcher:Rich small window list1. Add vertical bar to small window list title2. Change the background of the small window list3. Adjust the position of the

small window list4. Finish More small window buttonTC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id: I544ebd55039c05967c2a5179ede20f633ef72fb8

#36 - 2023-01-03 16:19 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

173459 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lids1211@thundersoft.com

FW:Launcher: Show dynamic calendar in recent1. Show dynamic calendar in recent.TC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id:

I0c0bb7e29b8e6dfe13a4d17796f4379002539568

#37 - 2023-03-14 09:31 - CD APP-王营

- Assignee changed from AF组-RD3_CDTS 罗肖 to CD APP-王宏

#38 - 2023-03-16 19:32 - IoT scm

Gerrit Merge Information：
ID Project Branch Uploader

187237 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:VC1 Adaptation1.Button of clear all2.small window container3.small window more4.task list card5.left-right modeTC-RID: 1201-0205302IssueID:

TS-R-DF-110745Change-Id: If6abd485ecf4b2d2ce0af85311534004a344561e

#39 - 2023-03-17 22:06 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

188173 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:VC1 Adaptation1.workspace2.folder3.add widget4.edit mode5.hotseatTC-RID: 1201-0205301IssueID: TS-R-DF-110745Change-Id:

I64ba9535a5ee45d4ce3943f79589d1964beb7d5b

#40 - 2023-05-10 11:40 - CD FW-鲁凯峰

- Description updated

#41 - 2023-05-10 20:12 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

196496 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:adapter small windowTC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id: I43018134bccabfa366d1ddffb780733b43ad8478

#42 - 2023-06-27 18:55 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

210523 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com
AF:Launcher:Fixed small window dismiss when drag recentTC-RID: 1201-0205302IssueID: TS-R-DF-110745,IOVDEV-32947Change-Id:

I6115b30bd9f4636dec52708c50e1beae2a424bba

#43 - 2023-06-27 21:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

210593 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher:Fixed small window dismiss when drag recentTC-RID: 1201-0205302IssueID: TS-R-DF-110745,IOVDEV-35991Change-Id:

I6115b30bd9f4636dec52708c50e1beae2a424bba(cherry picked from commit 2386a4e1c368c4ac08189d22096c25860aee05d6)

#44 - 2023-07-05 16:28 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

212387 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

FW:Launcher: Adding enhanced logging to the swipe up gestureTC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id:

I6e074b08ce1cff372da96e16bbba1f07b0d1b74a

#45 - 2023-07-06 19:43 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

212791 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

FW:Launcher: Adding enhanced logging to the swipe up gestureTC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id:

I6e074b08ce1cff372da96e16bbba1f07b0d1b74a(cherry picked from commit c7f901f082357c3fceb84c4c5c25674d3a588e67)

#46 - 2023-07-20 16:27 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

216055 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:checkbox error in recentsTC-RID: 1201-0205302IssueID: TS-R-DF-110745,IOVDEV-36270Change-Id:

Ic26c40b9a44c03ba6ae8a8aeb10300ac6e625a0f

2025-07-03 11/18



#47 - 2023-07-27 23:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

218254 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher:checkbox error in recentsTC-RID: 1201-0205302IssueID: TS-R-DF-110745,IOVDEV-36270Change-Id:

Ic26c40b9a44c03ba6ae8a8aeb10300ac6e625a0f(cherry picked from commit 3caba2de7a42857e0f18fb6a4b6b020805e5af67)

#48 - 2023-08-03 17:04 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

213456 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Add logs and optimize thumbnail generation logicTC-RID: 1201-0205302IssueID: TS-R-DF-110745,IOVDEV-36496Change-Id:

I7b1d0d44f98eff66e0efe7bfb43d050f30c0bf7b

#49 - 2023-08-03 17:04 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

213630 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Reduce the frequency of calls to the status of the small windowTC-RID: 1201-0205302IssueID: TS-R-DF-110745,IOVDEV-38825Change-Id:

I75acd4f07b10008804b29eb6b38c2862d3854475

#50 - 2023-08-04 17:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

300388 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Solving the issue of recent animation getting stuckTC-RID: 1201-0205302IssueID: TS-R-DF-110745,IOVDEV-36522Change-Id:

I0b275bed8b33bac39e23508c28d349ce5ec77c76

#51 - 2023-08-10 20:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

144189 general/platform/packages/apps/Launc

2025-07-03 12/18

Pre_figure_turbox-c2130c-la1.1-qssi12 hong.wang_a@thundersoft.com



her3 -dev

AF:Launcher:Add logs and optimize thumbnail generation logicTC-RID: 1201-0205302IssueID: TS-R-DF-110745,IOVDEV-36496Change-Id:

I7b1d0d44f98eff66e0efe7bfb43d050f30c0bf7b

#52 - 2023-08-10 20:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

302377 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher:Reduce the frequency of calls to the status of the small windowTC-RID: 1201-0205302IssueID: TS-R-DF-110745,IOVDEV-38825Change-Id:

I75acd4f07b10008804b29eb6b38c2862d3854475(cherry picked from commit b092b757abeadf2f507febb49c8d76b828f27880)

#53 - 2023-08-10 20:49 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

302382 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher:Solving the issue of recent animation getting stuckTC-RID: 1201-0205302IssueID: TS-R-DF-110745,IOVDEV-36522Change-Id:

I0b275bed8b33bac39e23508c28d349ce5ec77c76(cherry picked from commit 89166a4ff053016c6b53f2634add9e768b07777b)

#54 - 2023-09-06 17:41 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

310337 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:Launcher: fix recent empty uiAdd logic to clear free task.TC-RID: 1201-0205302IssueID: TS-R-DF-110745,IOVDEV-40559Change-Id:

I89f4528a8d919db3e3f9e0f69c06d4a38c21076f

#55 - 2023-09-08 14:24 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

311070 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

2025-07-03 13/18



AF:Launcher: Manually refresh the recent tasks list.TC-RID: 1201-0205302IssueID: TS-R-DF-110745, IOVDEV-40635Change-Id:

I9dccc47d7f081eb4e2cb3b885362092eb2fadace

#56 - 2023-09-19 15:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

313381 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:Launcher: recent ui adaptationAdapte VX 、VC1.Free list container.2.RecentViews task list.3.Task bg and size.TC-RID: 1201-0205301IssueID:

TS-R-DF-110745Change-Id: Ia0f8f663cd3b7777769552851832f669ccb264aa

#57 - 2023-09-20 20:10 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

314640 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher: recent ui adaptationAdapte VX 、VC1.Free list container.2.RecentViews task list.3.Task bg and size.TC-RID: 1201-0205301IssueID:

TS-R-DF-110745Change-Id: Ia0f8f663cd3b7777769552851832f669ccb264aa(cherry picked from commit dd7de8920666b1075d4817ee99068d0c693c214f)

#58 - 2023-09-25 00:32 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

315611 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher: ui adaptationFix build error.TC-RID: 1201-0205301IssueID: TS-R-DF-110745Change-Id: I57ea44107227af7d752efe72f4b36f10df307a2c

#59 - 2023-10-07 11:27 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

2025-07-03 14/18



317145 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher: fix recent empty uiAdd logic to clear free task.TC-RID: 1201-0205302IssueID: TS-R-DF-110745,IOVDEV-40559Change-Id:

I89f4528a8d919db3e3f9e0f69c06d4a38c21076f(cherry picked from commit 4f916c8e7f4bd56dbcc59219fa1e4bc76c0cc241)

#60 - 2023-10-07 11:28 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

317228 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher: Manually refresh the recent tasks list.TC-RID: 1201-0205302IssueID: TS-R-DF-110745, IOVDEV-40635Change-Id:

I9dccc47d7f081eb4e2cb3b885362092eb2fadace(cherry picked from commit 22c5236c1814ae26d991815a3acef27b85bc6fe5)

#61 - 2023-10-10 17:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

318184 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:Launcher: fix taskview uiFix issue:1.TaskView white edge problem.2.TaskView focus conner.TC-RID: 1201-0205302IssueID:

TS-R-DF-110745,IOVDEV-44717 、IOVDEV-44723Change-Id: I19dc0523469bb666243f89ed912c741b51393fe7

#62 - 2023-10-12 17:41 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

318355 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:Launcher: home ui adaptationAdaptation mce.TC-RID: 1201-0205301IssueID: TS-R-DF-110745Change-Id: I7170f4d2034116cff53e389c3a8298fdd9a31ef8

#63 - 2023-10-12 17:41 - IoT scm

Gerrit Merge Information：

2025-07-03 15/18



ID Project Branch Uploader

318392 general/platform/frameworks/libs/syste

mui

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:AdaptiveIcon: icon corner adaptation(2)Adaptation mce.TC-RID: 1201-0205301IssueID: TS-R-DF-110745Change-Id:

I51e5d6d7e6425536724a96a337b40f04febf7900

#64 - 2023-10-12 17:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

318926 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:Launcher: recent ui adaptationAdapte mce.TC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id: Ia2f1c3e8b4146ab14c4fece1c003fc4635f890e6

#65 - 2023-10-12 22:32 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

319123 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher: fix taskview uiFix issue:1.TaskView white edge problem.2.TaskView focus conner.TC-RID: 1201-0205302IssueID:

TS-R-DF-110745,IOVDEV-44717 、IOVDEV-44723Change-Id: I19dc0523469bb666243f89ed912c741b51393fe7(cherry picked from commit

6ef857e02ae053ff09c5fb0c65d18f83a8cdc4c2)

#66 - 2023-10-27 01:35 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

323288 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher: home ui adaptationAdaptation mce.TC-RID: 1201-0205301IssueID: TS-R-DF-110745Change-Id:

I7170f4d2034116cff53e389c3a8298fdd9a31ef8(cherry picked from commit cff0e1f95172b595ce271936578f4a4ac91f4a9e)

2025-07-03 16/18



#67 - 2023-10-27 01:36 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

323289 general/platform/frameworks/libs/syste

mui

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:AdaptiveIcon: icon corner adaptation(2)Adaptation mce.TC-RID: 1201-0205301IssueID: TS-R-DF-110745Change-Id:

I51e5d6d7e6425536724a96a337b40f04febf7900(cherry picked from commit 66f66194d0c793b83fe8c158ddad06adeb195687)

#68 - 2023-10-27 01:36 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

323290 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher: recent ui adaptationAdapte mce.TC-RID: 1201-0205302IssueID: TS-R-DF-110745Change-Id: Ia2f1c3e8b4146ab14c4fece1c003fc4635f890e6(cherry

picked from commit 6c60298057a90744e6a38caa689d15852d9ac815)

#69 - 2023-10-27 10:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

323424 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher:Add logs and optimize thumbnail generation logicTC-RID: 1201-0205302IssueID: TS-R-DF-110745,IOVDEV-36496Change-Id:

I7b1d0d44f98eff66e0efe7bfb43d050f30c0bf7b(cherry picked from commit 1febbf815970c6a7936d4f4eee961107d32c1e5d)

#70 - 2023-11-28 15:03 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

331726 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Launcher: Fix recent small window apps list font size problem.TC-RID: 1201-0205302IssueID: TS-R-DF-110745, IOVDEV-49229Change-Id:

Ie56e2847a132d53e536b7e98619953163a7e3cd9

2025-07-03 17/18



#71 - 2023-12-11 13:58 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

334885 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher: Fix recent small window apps list font size problem.TC-RID: 1201-0205302IssueID: TS-R-DF-110745, IOVDEV-49229Change-Id:

Ie56e2847a132d53e536b7e98619953163a7e3cd9(cherry picked from commit 35fc45c9f09e96fa2124a1063728b799f167386b)

2025-07-03 18/18


